%define git git20121201

%define major 4
%define libname   %mklibname %name %major
%define develname %mklibname %name -d
%define rel 2

Summary:        Oxygen style and decoration with support for transparency
Name:           kde4-style-oxygen-transparent
Version:        1.0
Release:        %mkrel -c %{git} %{rel}
Url:            http://kde-look.org/content/show.php/oxygen-transparent?content=127752
# git://anongit.kde.org/oxygen-transparent
Source0:        oxygen-transparent-%git.tar.xz
License:        GPLv2
Group:          Graphical desktop/KDE
BuildRequires:  kdebase4-workspace-devel >= 4.7.0
Obsoletes:	oxygen-transparent < 1.0-0.git20120116.1

%description
This is an official branch of the KDE oxygen style. It is kept in sync with the
official oxygen style, and adds support of full transparency on the windows. 

You need to select the style and window decoration named "Oxygen Transparent"
from the corresponding systemsettings pages.

You can also run oxygen-transparent-settings from terminal or using krunner,
to get all oxygen settings at once, including the background opacity setting.


%files
%{_bindir}/oxygen-transparent-settings
%{_kde_libdir}/kde4/kstyle_oxygen_transparent_config.so
%{_kde_libdir}/kde4/kwin3_oxygen_transparent.so
%{_kde_libdir}/kde4/kwin_oxygen_transparent_config.so
%{_kde_libdir}/kde4/plugins/styles/oxygen_transparent.so
%{_kde_appsdir}/kstyle/themes/oxygen_transparent.themerc
%{_kde_appsdir}/kwin/oxygentransparentclient.desktop

#-------------------------------------------------------------------------------
%define liboxygentransparentstyle %mklibname oxygentransparentstyle %major

%package -n %liboxygentransparentstyle
Summary:        Library for %{name}
Group:          System/Libraries
Obsoletes:  %libname < 1.0-0.git20110928.1

%description -n %liboxygentransparentstyle
Library for %{name}.

%files -n %liboxygentransparentstyle
%{_kde_libdir}/liboxygentransparentstyle.so.%{major}*

#--------------------------------------------------------------------------
%define liboxygentransparentconfig %mklibname oxygentransparentstyleconfig %major

%package -n %liboxygentransparentconfig
Summary:      Library for %name
Group:        System/Libraries

%description -n %liboxygentransparentconfig
Library for %name

%files -n %liboxygentransparentconfig

%_kde_libdir/liboxygentransparentstyleconfig.so.%{major}*


#-------------------------------------------------------------------------------

%package -n %develname
Summary:        Development files for %{name}
Group:          Development/KDE and Qt
Requires:       %{liboxygentransparentstyle} = %{version}-%{release}
Requires:       %{liboxygentransparentconfig} = %{version}-%{release}
Obsoletes:      %{_lib}oxygen-transparent-devel < 1.0-0.git20120116.1
%description -n %develname
This pacakge contains the developement files needed to compile stuff against
%{name}.

%files -n %develname
%{_kde_libdir}/liboxygentransparentstyle.so
%{_kde_libdir}/liboxygentransparentstyleconfig.so
#-------------------------------------------------------------------------------

%prep
%setup -q -n oxygen-transparent

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0-0.git20121201.2.mga3
+ Revision: 355975
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 juancho <juancho> 1.0-0.git20121201.1.mga3
+ Revision: 325772
- Updated to stable 1.0.0 from git.

  + mikala <mikala>
    - Obsoletes old devel package

* Wed Jan 18 2012 juancho <juancho> 1.0-0.git20120116.1.mga2
+ Revision: 197895
- Updated to latest version from 20120216

* Sun Dec 25 2011 juancho <juancho> 1.0-0.git20111212.1.mga2
+ Revision: 187338
- Added new sources
- Updated to git ef62094 (2011-12-12)
- Renamed package to kde4-style-oxygen-transparent
- Removed BuildRoot remaining stuff
- Renamed oxygen-transparent to kde4-style-oxygen-transparent according to the new package name.
- Renamed oxygen-transparent style to kde4-style-oxygen-transparent as the rest of styles.

* Thu Sep 29 2011 mikala <mikala> 1.0-0.git20110928.1.mga2
+ Revision: 150186
- Update git snapshot
- fix file list
- rename one library
- fix groups
- fix rpmlint warnings regarding tabs & space
- remove %%defattr() & %%clean section

* Sun Mar 06 2011 ahmad <ahmad> 1.0-0.git20110304.2.mga1
+ Revision: 65595
+ rebuild (emptylog)

* Sun Mar 06 2011 ahmad <ahmad> 1.0-0.git20110304.1.mga1
+ Revision: 65588
- imported package oxygen-transparent

